package com.hzya.frame.sysnew.comparison.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.Map;

/**
 *
 * @content 通用数据明细实体类
 * @Param
 * @Return
 * @Author hecan
 * @Date 2024/5/7 15:50
 * **/
public class ComparisonDetailsEntity extends BaseEntity {

    private String contrastType;//对照类型
    private String documentRule;//单据规则
    private Long documentRuleNum;//单据规则流水号


    private String mdmName;//主数据名称
    private String mdmCode;//主数据编码
    private String dbName;//表名
    private String dbType;//类型 1、主表 2、明细
    private String enName;//字段名 英文
    private String chName;// 字段名 中文
    private String filedType;//字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME
    private String formmainId;//上级id

    private String dataId;//第三方主键id
    private String ruleCode;//规则编码required  判断字段是否是必填
    private String ruleValue;//规则值 true/false 判断字段是否是必填

    public String getRuleCode() {
        return ruleCode;
    }

    public void setRuleCode(String ruleCode) {
        this.ruleCode = ruleCode;
    }

    public String getRuleValue() {
        return ruleValue;
    }

    public void setRuleValue(String ruleValue) {
        this.ruleValue = ruleValue;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    private Map<String,Object> mapDetails;

    public String getContrastType() {
        return contrastType;
    }

    public void setContrastType(String contrastType) {
        this.contrastType = contrastType;
    }

    public String getDocumentRule() {
        return documentRule;
    }

    public void setDocumentRule(String documentRule) {
        this.documentRule = documentRule;
    }

    public Long getDocumentRuleNum() {
        return documentRuleNum;
    }

    public void setDocumentRuleNum(Long documentRuleNum) {
        this.documentRuleNum = documentRuleNum;
    }

    public String getMdmName() {
        return mdmName;
    }

    public void setMdmName(String mdmName) {
        this.mdmName = mdmName;
    }

    public String getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(String mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }

    public Map<String, Object> getMapDetails() {
        return mapDetails;
    }

    public void setMapDetails(Map<String, Object> mapDetails) {
        this.mapDetails = mapDetails;
    }
}
